<?php
/*
 * If you need to use CKEditor in this page, make sure to set the controller
 * variable to TRUE and set it's ID. Otherwise, just leave it at FALSE.
 */
$_CKEDITOR_ENABLED = false;
$_CKEDITOR_ID = '';
/*
 * VALIDATE ADMINISTRATOR GROUP ------------------------------------------------
 */
if( $_SESSION['log_group'] == 'admin' )
{
    // get form feed.
    $fstatus = $_CLASS->getFormStatus();
    $fmessage = $_CLASS->getFormMessage();
    $fstyle = $_CLASS->getFormStyle();
    
    // get selected theme.
    $theme = $_CLASS->getThemeDir();
    
    // include active theme details.
    $path = BASE_ROOT . 'view/theme/' . $theme . '/setting.php';
    if( file_exists($path) ){
        require_once $path;
    }
    
    // define theme screenshot url.
    $thumb = BASE_ROOT . 'view/theme/' . $theme . '/screenshot.jpg';
    
    if( !file_exists($thumb) ){
        $thumb = BASE_RELATIVE . 'image/default_theme_screenshot.jpg';
    } else {
        $thumb = str_replace(BASE_ROOT, BASE_RELATIVE, $thumb);
    }
    
    // get installed theme list.
    $theme_list = $_CLASS->getInstalledThemeList();
?>
        <div id="content-wrapper">
            <div id="vertical-menu">
                <?php $_MENU->loadMenu($_GLANG); ?>
            </div>
            <div id="inner-content">
                <!-- START CONTENT -->
                <h1><?php echo $_LANG['THEME_MANAGER_HEADER'];?></h1>
                <?php
                    if( $fstatus ){
                ?>
                <div class="alert <?php echo $fstyle;?>">
                    <button type="button" class="close" data-dismiss="alert">×</button>
                    <?php echo $fmessage;?>
                </div>
                <?php
                    }
                ?>
                <div class="default-theme-wrap">
                    <h3><?php echo $_LANG['THEME_MANAGER_DEFAULT_THEME_LABEL'];?></h3>
                    <img src="<?php echo $thumb;?>" width="300" height="200" alt="" class="img img-polaroid" />
                    <p>
                        <span class="label-item"><?php echo $_LANG['THEME_MANAGER_RELEASE_DATE_LABEL'];?></span>
                        <span class="value-item"><?php echo $_THEME_DATE;?></span>
                    </p>
                    <p>
                        <span class="label-item"><?php echo $_LANG['THEME_MANAGER_AUTHOR_LABEL'];?></span>
                        <span class="value-item"><a href="<?php echo $_THEME_AUTHOR_URL_REFERENCE;?>" target="_blank"><?php echo $_THEME_AUTHOR;?></a></span>
                    </p>
                    <p>
                        <span class="label-item"><?php echo $_LANG['THEME_MANAGER_VERSION_LABEL'];?></span>
                        <span class="value-item"><?php echo $_THEME_VERSION;?></span>
                    </p>
                    <p>
                        <span class="label-item"><?php echo $_LANG['THEME_MANAGER_SUPPORT_LABEL'];?></span>
                        <span class="value-item"><?php echo $_LANG['THEME_MANAGER_VERSIONS_PLACEHOLDER'];?> <?php echo $_THEME_SUPPORTED_VERSION;?></span>
                    </p>
                    <p>
                        <span class="label-item"><?php echo $_LANG['THEME_MANAGER_NOTES_LABEL'];?></span>
                        <span class="value-item"><?php echo $_THEME_AUTHOR_NOTES;?></span>
                    </p>
                    <div class="clearfix"></div>
                </div>
                <br/>
                <h3>Install a new theme pack</h3>
                <form method="post" enctype="multipart/form-data">
                    <div class="input-prepend input-append iad">
                        <span class="add-on" style="width:150px;"><?php echo $_LANG['THEME_MANAGER_THEME_PACK_LABEL'];?></span>
                        <input type="file" name="fileInput" class="file-field" style="height:28px;width:458px;"/>
                        <input type="submit" name="savebtn" value="<?php echo $_LANG['THEME_MANAGER_SAVE_THEME_BUTTON'];?>" class="btn btn-info" />
                    </div>
                </form>
                <br/>
                <h3><?php echo $_LANG['THEME_MANAGER_INSTALLED_THEMES_HEADER'];?></h3>
                <?php
                    if( count($theme_list) < 2 ){
                ?>
                <div class="alert alert-info">
                    <?php echo $_LANG['THEME_MANAGER_NOTHEME_PLACEHOLDER'];?>
                </div>
                <?php
                    }
                    else {
                        // list installed themes.
                        for( $i=0; $i < count($theme_list); $i++ ){
                            // if theme is the default theme, hide remove button.
                            // the default theme must exists.
                            if( $theme_list[$i] == 'jtheme' ){
                                $del_btn = '';
                            } else {
                                $del_btn = '<input name="removebtn" type="submit" onclick="return confirm(\''.$_LANG['THEME_MANAGER_REMOVE_CONFIRM'].'\');" class="btn btn-danger btn-small" value="'.$_LANG['THEME_MANAGER_DELETE_BUTTON_LABEL'].'"/>';
                            }
                            
                            // hide active theme form list.
                            if( $theme_list[$i] != $_THEME_DIR_NAME ){
                ?>
                <form method="post" class="theme-form">
                    <img src="<?php echo BASE_RELATIVE;?>view/theme/<?php echo $theme_list[$i];?>/screenshot.jpg" width="300" height="200" alt="" class="img-polaroid" />
                    <div class="clearfix"></div>
                    <br/>
                    <input type="hidden" name="themeTitleHid" value="<?php echo $theme_list[$i];?>"/>
                    <?php echo $del_btn;?>
                    <input name="applybtn" onclick="return confirm('<?php echo $_LANG['THEME_MANAGER_CONFIRM_ACTIVATE_THEME'];?>');" type="submit" class="btn btn-info btn-small" value="<?php echo $_LANG['THEME_MANAGER_ACTIVE_BUTTON_LABEL'];?>"/>
                </form>
                <?php       }
                        }
                    }
                ?>
                
                
                <!-- END CONTENT -->
            </div>
            <div class="clearfix"></div>
        </div>
<?php
} // end validation.
else
{
?>
        <p class="text-warning"><?php echo $_LOCAL['UNAUTHORIZED_ACCESS_MESSAGE'];?></p>
<?php
}